Exchange-Server-Cumulative-Update

Exchange Server 2016 Cumulative Update 7

A Microsoft lançou o Exchange Server 2016 Cumulative Update 7 em setembro de 2017. O Update possui o build number 15.01.1261.035.

O CU7 foi lançado com o propósito de corrigir os seguintes problemas:

Ponto de atenção:

  • O Cumulative Update 6 possui extensão do AD Schema. Se acaso exista mais de um domínio, planeje antes a extensão com os comandos /PrepareDomain para cada domínio ou /PrepareAllDomains.

Requisitos:

  • O Cumulative Update 7 possui um novo requisito de instalação, o mesmo suporta apenas nível funcional de floresta e domínio 2008R2 ou superior. Portanto, caso ainda haja Domain Controller 2008 no ambiente, planeje o upgrade antes de aplicá-lo.
  • O CU7 não suporta o .NET Framework 4.7. Portanto assim como requisito do CU5 e CU6, instale apenas o .NET Framework 4.6.2.

Problemas Constatados:

  • Serviço de Mailbox Transport Delivery não inicia, os processos edgetransport.exe e MSExchangeDelivery.exe geram a seguinte mensagem: Watson report about to be sent for process id: 18460, with parameters: E12IIS, c-RTL-AMD64, 15.01.1261.035, edgetransport, mscorlib, M.W.RegistryKey.CreateSubKeyInternal, System.UnauthorizedAccessException, ae99-dumptidset, 04.07.2110.000. ErrorReportingEnabled: False

Observação: O erro não ocorre com todos.

Causa raiz: Falta de permissão de Full Controll do usuário NETWORK SERVICES na seguinte chave: HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\ExchangeServer\v15\WorkerTaskFramework\IdStore\ProbeDefinitionIDConflicts

  • Comando Set-FederatedOrganizationIdentifier não funciona. A Microsoft lançou o seguinte artigo como workaround.

 

  • Erro ao executar script install-TransportAgent.ps1: A parameter cannot be found that matches parameter name ‘EscalationTeam’.

Causa raiz: O parametro EscalationTeam não é reconhecido pelo Exchange, basta remover a seguinte linha do script:

-EscalationTeam "AntiSpam";
  • Mensagem de warning ao modificar alguns usuários: UseDatabaseQuotaDefaults

Observação: Em teoria esse erro ocorre desde o CU6, mas parece que não foi resolvido por completo devido alguns relatos, e devido ao próprio CU8 informar uma nova tentativa de correção desse erro. O warning não ocorre a todos.

Vale a pena a instalação ?

Minha consideração final é que não vale a pena a instalação do CU7, apenas que seja uma urgência em tentar corrigir algum erro relacionado ao CU6. O CU7 não possui nenhuma melhoria declarada, inegavelmente é um CU apenas de correção dos problemas de seu antecessor. Portanto eu o instalaria apenas na situação mencionada.

Deixe uma resposta

O seu endereço de e-mail não será publicado. Campos obrigatórios são marcados com *